Skip to content

Plugin Generate Description

POST
/api/v1/plugin/generate-description

Generate a product description via the plugin API.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Request Body

application/json
JSON
{
  
"source": "string",
  
"product_title": "string",
  
"product_category": "string",
  
"product_attributes": {
  
  
"additionalProperties": "string"
  
},
  
"product_images": [
  
  
"string"
  
],
  
"current_description": "string",
  
"language": "en",
  
"tone": "professional",
  
"custom_instructions": "string"
}

Responses

Successful Response

application/json
JSON
{
  
"content": "string",
  
"short_description": "string",
  
"tokens_used": 0,
  
"xct_cost": "string",
  
"remaining_balance": "string"
}

Playground

Server
Authorization
Body

Samples

Powered by VitePress OpenAPI

XC AI Content Automation